VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::ScaleOutGroup Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::ScaleOutGroup:

## Avaliable Methods
public method | get_maximum_instance_count ()
public method | set_description ()
public method | get_id ()
public method | set_instance_count ()
public method | set_id ()
public method | get_instance_count ()
public method | get_minimum_instance_count ()
public method | set_maximum_instance_count ()
public method | get_description ()
public method | set_minimum_instance_count ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::ScaleOutGroup` class contains information about a scale-out group.

It allows a virtual system collection to contain a set of children that are homogeneous with respect to a prototypical virtual system or virtual system collection. It shall cause the deployment function to replicate the prototype a number of times, thus allowing the number of instantiated virtual systems to be configured dynamically at deployment time.

This is based on the ovf2:ScaleOutSection.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. The description of the scale-out group. optional#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. The identifier of the scale-out group. optional#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::get_instance_count | ( |  | ) |

Gets the value of 'instance_count' property.

Return values

  instance_count | - The current value of the field. The scaling factor to use. It defines the number of replicas of the prototypical virtual system or virtual system collection. optional#

Code:
click to view
# Number of lines of code in get_instance_count: 4
sub get_instance_count {
my ($self, %args) = @_;
return $self->{'instance_count'};
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::get_maximum_instance_count | ( |  | ) |

Gets the value of 'maximum_instance_count' property.

Return values

  maximum_instance_count | - The current value of the field. The maximum scaling factor. optional#

Code:
click to view
# Number of lines of code in get_maximum_instance_count: 4
sub get_maximum_instance_count {
my ($self, %args) = @_;
return $self->{'maximum_instance_count'};
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::get_minimum_instance_count | ( |  | ) |

Gets the value of 'minimum_instance_count' property.

Return values

  minimum_instance_count | - The current value of the field. The minimum scaling factor. optional#

Code:
click to view
# Number of lines of code in get_minimum_instance_count: 4
sub get_minimum_instance_count {
my ($self, %args) = @_;
return $self->{'minimum_instance_count'};
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::ScaleOutGroup structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{id} = $args{'id'};
$self->{description} = $args{'description'};
$self->{instance_count} = $args{'instance_count'};
$self->{minimum_instance_count} = $args{'minimum_instance_count'};
$self->{maximum_instance_count} = $args{'maximum_instance_count'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::ScaleOutGroup');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.scale_out_group');
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'instance_count', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'minimum_instance_count', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'maximum_instance_count', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. The description of the scale-out group.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. The identifier of the scale-out group.

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::set_instance_count | ( |  | ) |

Sets the given value for 'instance_count' property.

Parameters

  instance_count | - New value for the field. The scaling factor to use. It defines the number of replicas of the prototypical virtual system or virtual system collection.

Code:
click to view
# Number of lines of code in set_instance_count: 5
sub set_instance_count {
my ($self, %args) = @_;
$self->{'instance_count'} = $args{'instance_count'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::set_maximum_instance_count | ( |  | ) |

Sets the given value for 'maximum_instance_count' property.

Parameters

  maximum_instance_count | - New value for the field. The maximum scaling factor.

Code:
click to view
# Number of lines of code in set_maximum_instance_count: 5
sub set_maximum_instance_count {
my ($self, %args) = @_;
$self->{'maximum_instance_count'} = $args{'maximum_instance_count'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ScaleOutGroup::set_minimum_instance_count | ( |  | ) |

Sets the given value for 'minimum_instance_count' property.

Parameters

  minimum_instance_count | - New value for the field. The minimum scaling factor.

Code:
click to view
# Number of lines of code in set_minimum_instance_count: 5
sub set_minimum_instance_count {
my ($self, %args) = @_;
$self->{'minimum_instance_count'} = $args{'minimum_instance_count'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/ScaleOutGroup.pm